
<style>
        .non-refundable{
            width: 116px;
        }
        .flexible{
            width: 54px;
        }
        .hypeMsgs:hover {
            cursor: pointer;
            color: #FE0C24;
        }
        input[type='radio'] {
  -webkit-appearance:none;
  width:19px;
  height:19px;
  border:1px solid darkgray;
  border-radius:50%;
  outline:none;
  box-shadow:0 0 1px 0px black inset;
      box-sizing: unset;
}

 input[type='radio']:hover {
  box-shadow:0 0 2px 0px black inset;
} 

input[type='radio']:before {
  content:'';
  display:block;
  width:60%;
  height:60%;
  margin: 20% auto;    
  border-radius:50%;   
}
input[type='radio']:checked:before {
  background:red;
}

/* <!-- for image slider --> */
	ul{
			list-style: none outside none;
		    padding-left: 0;
            margin: 0;
		}
        .demo .item{
            margin-bottom: 60px;
        }
		.content-slider li{
		    background-color: #ed3020;
		    text-align: center;
		    color: #FFF;
		}
		.content-slider h3 {
		    margin: 0;
		    padding: 70px 0;
		}
		.demo{
			width: 800px;
		}
		.lSGallery li.active img{
		border: #ed1c24 solid 3px;
		}
		
		/* <!-- end  --> */

        </style>
<!-- Breadcrumb -->
<div class="breadcrumbs overlay holiday-breadcrumbs" data-stellar-background-ratio="0.7">

</div>
<!--/ End Breadcrumb -->
<div class="container" style="margin-top:10px;">
    <div class="row my-4X">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <span class="item" >
                Search
                <i class="icon-tick-bold"></i>
                    </span>
                </li>
               
                </li>
                <li class="done">
                        <a class="item" ng-click="goBack('/holidaySearchResult')" href>
                Choose Flight <i class="icon-tick-bold"></i>
                        </a>
                    </li>
                <li class="done">
                    <a class="item" ng-click="goBack('/holidaySearchResult')" href>
            Choose Hotel <i class="icon-tick-bold"></i>
                    </a>
                </li>
                <li class="active">
                    <span class="item">
            Choose Room
        </span>
                </li>
                <li>
                    <span class="item">
            Choose Extras
        </span>
                </li>
                <li>
                    <span class="item">
            Book
        </span>
                </li>
            </ul>
        </div>
    </div>
	
	<div class="col-md-12 search-result-holiday-details-container">
	<div class="cssload-container" ng-show="loading">
			<div class="cssload-tube-tunnel"></div>
	</div>
	 </div>
	
    <div class="row my-4">
        <div class="col-md-12">
            <h3>
                Review Your Flight and Hotel
            </h3>
        </div>
    </div>
    <!-- <div class="row my-4">
       
        <div class="col-md-12 search-results-panel">
            <div class="search-results-info-panel sc-u-grid-gutter-y">
                <h1 class="sc-c-heading holiday-heading sc-c-heading--xl"><i class="icon-flights"></i> Your Flight <span ng-bind="flightResult.frmAirprt.split('(')[1].substring(0,3)"></span>&#8652; <span ng-bind="flightResult.toAirprt.split('(')[1].substring(0,3)"></span>(Return)</h1>
            </div>
            <div class="sc-o-row">
                <div class="sc-o-col-12 sc-u-grid-gutter-y">
                    <div class="search-result-container">
                      <div class="flight-listing" >
						   <div ng-repeat="segment in flightResult.flightSearchResults[0].segGrpList">
						   <div class="flight-legs-section" ng-repeat="info in segment.segList[0].fltInfoList">
							   <div class="flight-leg" >
								    <div class="leg-header">
                                        <span class="flight-date" ng-bind="info.dispEndDate"></span>
                                          </div>
										  <div class="leg-main">
											  <div class="airline-logo">
                                            <img class="airline-logo" src="images/Airlines/sm{{info.airline}}.png">
                                        </div>
										<div class="leg-itinerary">
                                            <div class="parts">
												<div class="part part-point part-point-departure">
													<div>
														<span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span>
                                                        <span class="flight-time" ng-bind="info.dispStartTime"></span>
														</div>
														<div class="flight-airport-title">
                                                        <span class="title" ng-bind="info.origin.split('(')[0]"></span>
                                                    </div>
													</div>
													<div class="part part-journey">
														
														<div class="flight-duration">
                                                        <div ng-bind="info.dispDuration"></div>
                                                    </div>
                                                    <div class="flight-stops-graphic">
                                                        <div class="stops">
                                                        </div>
                                                    </div>
                                                    <div class="flight-stops">
                                                        <span>{{flight.fromFlight.stops}}</span>
                                                    </div>
                                                </div>
												
												<div class="part part-point part-point-arrival">
                                                    <div>
                                                        <span class="flight-time">{{info.dispArrTime}}</span>
                                                        
                                                        <span class="flight-airport-code">&nbsp;&nbsp;{{info.dest.split('(')[1].substring(0,3)}}</span>
                                                    </div>
                                                    <div class="flight-airport-title">
                                                        <span class="title">{{info.dest.split('(')[0]}}</span>
                                                    </div>
                                                </div>
													
												</div>
											</div>
											  </div>
								   </div>
							   </div>
						   </div>
							   <div class="flight-info-section">
								   
								   <a class="details-link o-icon-label o-icon-label--sm" ng-click="openFlightInfo('lg');">
                                    <i class="o-icon-label__icon icon-information"></i>
									<span class="o-icon-label__caption">Flight Details</span>
                                    
                                </a>

                                <div>
                                   
                                    <button type="button" class="btn btn-select btn-block" ng-click="goBack('/holidaySearchResult')">
                                        <i class="sc-c-button__icon icon-chevron-left"></i>
                                        Review Your Flight
                                    </button>
                                </div>
                            </div>
							   
						   </div>
                   
                </div>
            </div>
        </div>
    </div>
		</div>  -->
		
		<div ng-include="'views/holiday/common/flightInfo.html'"></div>
	
   <div class="row my-4">
        <div class="col-lg-8 col-md-8 col-sm-8 col-12">
            <div class="card flight-summary">
                <div class="card-header">
                    <span ng-bind="hotelResult.name"></span> <a class="shortlist-toggle add cPointer" ng-class="{ 'add': !hotel.inShortlist, 'remove': hotel.inShortlist }" ng-click="toggleShortlist($event)" placement="right" hotel="::cm.hotel">
    <i ng-class="{ 'icon-favourite': !hotel.inShortlist, 'icon-favourite-active': hotel.inShortlist }" tooltip="Save this hotel to your shortlist" class="icon-favourite"></i>
</a>
                </div>
                <div class="card-body">
                    <ul class="sc-c-listing-card__ratings inline-info-list ">
                        <li>
                            <i class="fa fa-star" aria-hidden="true"></i>
                        </li>
                        <li>
                            <i class="fa fa-star" aria-hidden="true"></i>
                        </li>
                        <li>
                            <i class="fa fa-star" aria-hidden="true"></i>
                        </li>
                        <li>
                            <i class="fa fa-star" aria-hidden="true"></i>
                        </li>
                    </ul>
                    <div class="airports red">
					<i class="o-icon-label__icon icon-pin"></i>
                       <span ng-bind="hotelResult.address"></span>
                        <a href="#" class="o-icon-label o-icon-label--sm" lightbox-map-trigger="" element="cm.hotel">
                            <!-- <i class="o-icon-label__icon icon-pin"></i> -->
                           <!--  <span class="o-icon-label__caption">Show on map</span> -->
                        </a>
                    </div>
                    <ul class="hotel-facility-icons">
                        <!---->
                        <li>
                            <i class="icon-facility-AC"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-BA"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-GM"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-PK"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-RS"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-SW"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-TV"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-IN"></i>
                        </li>
                        <!---->
                    </ul>
                    <a class="o-icon-label o-icon-label--sm" href>
                        <i class="o-icon-label__icon icon-search"></i> 
						<span class="o-icon-label__caption">
						 <a ng-click="goBack('/holidaySearchResult')"  style="color:red;" href>Choose a different hotel</a>
						 </span>
                    </a>
                   <!--  <div class="mt-3" uib-carousel active="active" interval="myInterval" no-wrap="noWrapSlides">
                       <div uib-slide ng-repeat="slide in hotelResult.galleries track by $index" index="$index">
                            <img ng-src="{{slide.path}}" style="margin:auto;">
                        </div>
                    </div> -->
					
					 <!-- <ul id="image-gallery" class="gallery list-unstyled cS-hidden">
                    <li data-thumb="{{slider.path}}" ng-repeat="slider in hotelResult.galleries track by $index"> 
                        <img src="{{slider.path}}" class="responsive" />
                         </li>
                         </ul> -->
                         <ul id="image-gallery" class="gallery list-unstyled cS-hidden" ng-show="{{hotelResult.galleries.length}}=0">
                            <li data-thumb="{{slider.path}}" ng-repeat="slider in hotelResult.galleries track by $index"> 
                                <img src="{{slider.path}}" class="responsive" />
                                
                                 </li>
                                 </ul>
                                 <ul style="margin-left:17%;margin-top: -60%;" ng-hide="{{hotelResult.galleries.length}}!=0">
                            <li> 
                                <img src='images/no-image-available.jpg' />
                                
                                 </li>
                                 </ul>


                </div>
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-12">
            <div class="card flight-summary">
                <div class="card-header">
                    Price Breakdown
                </div>
                <div class="card-body py-4">
                    <ul class="cost-breakdown-list pb-2">
                        <li class="section">
                            <div class="title">
                                 No of Rooms
                             </div>
                            <div class="total price">{{hotelResult.occGroups.length}}</div>
                        </li>
                       <li ng-repeat ="roomInfo in selectedHotelRooms" class="section">
                            <div class="title">Room {{$index+1}}</div>
                            <div class="total price">{{currency}} {{roomInfo.roomFare | number : 3}}</div>
                        </li>
                        <li class="section section-total">
                            <div class="title">Total Room Price</div>
                            <div class="total price">{{currency}} {{totalRoomFares| number : 3}}</div>
                        </li>
                    </ul>
                    <button type="button" class="btn btn-block btn-select" ng-click="toHotelRoomsList()">
                        Select And Continue
                    </button>
                </div>
            </div>

        </div>
    </div>
<div class="sc-c-header-bar">
        <h3>
            Hotel Information
        </h3>
    </div>

    <div class="o-placeholder o-placeholder--sm">
        <div class="sc-c-box booking-options-panel">
            <div class="sc-c-box__content hotel-info-box">
                <p ng-bind-html="renderHTMLFactory.renderHTML(hotelResult.htlDesc)"></p>
                <span id="hotelMoreInfo" ng-click="hotelDetailInfo($event);" ng-init="hotelDetailInfoInit();">Less Info</span>
            </div>

        </div>

    </div>
    <div class="row mb-3" id="hotelRoomsList">
       <div class="col">
	   <div class="text-right">
			  <button type="button" ng-disabled="disabled" class="btn btn-primary btn-select btn-m-top" ng-click="onSelect($parent.$index, $index);">
                                Select And Continue
                            </button>
			  </div>
		  <div class="card book-review mb-4 roomset" ng-repeat="roomList in hotelResult.occGroups">
		  <fieldset id="room_{{$index}}" name="room_{{$index}}">
			 <h5 class="card-header red">Room {{$index+1}} &minus; &lpar;Adult &minus; {{roomList.roomGrpBean.adultCount}} <span ng-if="roomList.roomGrpBean.childCount>0">, Child &minus; {{roomList.roomGrpBean.childCount}}</span> &rpar;</h4>
				
				 <div class="card-body" ng-repeat="roomInfo in roomList.roomInfos">
				 <h5 >{{roomInfo.roomName}}</h5>
					  <div class="row hotel-room-item pb-3">
                        <div class="col-md-3">
                            <figure class="my-0">
                                <img src="{{roomList.roomImgPath}}" />
                            </figure>
                        </div>
                        <div class="col-md-9">
                           </div>
                    </div>
					
					<div class="row hotel-room-item item-fare-row">
                        <div class="col-md-3">
                            <p>{{roomInfo.mealBoardDesc}}</p>
                        </div>
                        <div class="col-md-3 hypeMsgs" style="text-decoration: underline; height: 23px;">
                                <!-- <a href class="link">Cancellation</a> -->
                                <!-- <p class="hype-message" ng-bind-html="renderHTMLFactory.renderHTML(roomInfo.cancellationPolicy)"></p> -->
                                <p class="hypeMsgs non-refundable" ng-if="checkMsg(renderHTMLFactory.renderHTML(roomInfo.cancellationPolicy))" ng-click="checkValue(renderHTMLFactory.renderHTML(roomInfo.cancellationPolicy))" ng-bind-html="renderHTMLFactory.renderHTML(roomInfo.cancellationPolicy)"></p>
                                <!-- <p class="hypeMsgs flexible" ng-if="!checkMsg(renderHTMLFactory.renderHTML(roomInfo.cancellationPolicy))" ng-click="checkValue(roomInfo.cancellationPolicies)">Flexible</p> -->
								<p class="hypeMsgs flexible" ng-if="!checkMsg(renderHTMLFactory.renderHTML(roomInfo.cancellationPolicy))" ng-click="checkValue(roomInfo.cancellationPolicies)">Flexible</p>
                            </div>
                        <div class="col-md-4 text-right holiday-center">
                            <div class="sc-c-price-block__amount sc-c-price-block__amount--secondary">
                                OMR {{roomInfo.roomFare | number : 3}}
                            </div>
                            <span>Hotel total price</span>
                        </div>
                        <div class="col-md-2 text-right holiday-center">
						<!-- <input ng-click="calculateTotal($parent.$index,$index);" class="roomtype_{{$parent.$index}}_{{$index}}" type="radio" name="selectRoom_{{$parent.$index}}" ng-init="defaultSelect();"/> -->
						<input ng-click="calculateTotal($parent.$index,$index);" class="roomtype_{{$parent.$index}}_{{$index}} custRadio" type="radio" name="selectRoom_{{$parent.$index}}" ng-checked="roomInfo.isSelected"/>
                            <!-- <button type="button" ng-disabled="disabled" class="btn btn-block btn-select " ng-click="onSelect($parent.$index, $index);">
                                Select And Continue
                            </button> -->
                        </div>
						
                    </div>
					
					 </div>
					 </fieldset>
		  </div> 
		  <div class="text-right">
			  <button type="button" ng-disabled="disabled" class="btn btn-primary btn-select " ng-click="onSelect($parent.$index, $index);">
                                Select And Continue
                            </button>
			  </div>
       
	   </div>
    </div>

   
   
	
	</div>
<script type="text/ng-template" id="flightInfo.html">
		<div class="modal-header">
		<h3 class="modal-title" id="modal-title">
		Flight Details  
	</h3>  
	<button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">&times;</button>
</div>  
<div class="modal-body"> 
	<div class="sc-o-row">  
		<div class="sc-o-col-12 sc-u-grid-gutter-y ">

			<div class="search-result-container flight-details ">	

					<div class="flight-listing-popup flight-leg flight-listing"	     
						ng-repeat="(in,segment) in flightDetails1.segGrpList">

	     	     	      	          	   
						<div ng-repeat="(x,segmentList) in segment.segList">		     
							<div ng-repeat="(key,info) in segmentList.fltInfoList"> 
 
								<!-- <div class="flight-leg-header">
									<span class="flight-date">Departure {{info.dispStartDate}}</span>
								</div> -->
								<div class="flight-leg-header" ng-show="key==0">                                                                                               
         <span class="flight-date">Departure  {{info.dispStartDate}}</span>
        </div>
								<table class="flight-leg-breakdown">
									<tbody>
										<tr class="row-depart"> 
											<td class="col-airline" rowspan="2"> 
												<div class="airline-logo"> 
													<img src="images/Airlines/sm{{info.airline}}.png">
												</div> <!----> 
												<div class="flight-number">{{info.airline}}{{info.fltNum}}</div>	  
												<!---->
												<div class="segment-cabin">{{cabinClass}}</div>
											</td>
											<td class="col-time"><span class="flight-time">{{info.dispStartTime}}</span>
											</td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.origin.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.origin}}</span>
												</div>
											</td>
											<td class="col-leg-icon" rowspan="2">	     
												<div class="part part-point part-point-arrival">
													<div class="route-circle top"></div>
													<div class="route-circle bottom"></div>
													<span class="duration">{{flight.fromFlight.duration}}</span>
												</div>
											</td>   
											<td class="col-duration" rowspan="2">
												<div class="flight-duration">{{info.dispDuration}}</div>
											</td>	  
										</tr>

										<tr class="row-arrive">
											<td class="col-time"><span class="flight-time">{{info.dispArrTime}}</span>
												<!----></td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.dest.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.dest}}</span>
												</div>
											</td>
										</tr>

										<tr class="row-connection" ng-show="segmentList.fltInfoList.length!=(key+1)"> 

											<td class="col-airline"></td> 
											<td class="col-time"></td>  
											<td class="col-airport">
												<div class="connection-message">	      	 		 	      
													<span>Waiting in airport </span>	  	  
												</div>    	 
											</td>   	 
											<td class="col-leg-icon">			
												<div class="dots">		
													<div class="dot"></div>	  
													<div class="dot"></div>	   
													<div class="dot"></div> 
												</div>  
											</td>	        
 											<td class="col-duration" ng-init="getWaitingDuration(segmentList.fltInfoList[key].rawArrivalDate,segmentList.fltInfoList[key+1].rawDeptDate,in,x,key)"> 	 	      	     
												<div class="flight-duration"   ng-bind="waitingDuration[{{in}}{{x}}{{key}}]">	 	 				 
		 									</div>	  	 	  	  	          
											</td>  
										</tr>     
									</tbody>             
								 	<tfoot class="tfoot" ng-show="segmentList.fltInfoList.length ==(key+1)"> 	      	  	  	 	  			     	      	  	  
										<tr> 
											 <td colspan="5" class="col-date">Arrives on <span 
												class="flight-date">{{info.dispEndDate}}</span>	     
											</td>       
										</tr>
									</tfoot>  
								</table>
							</div>
						</div>
					</div>
			</div>
			
		</div>
	</div>
</div>
<div class="modal-footer">
	
	<button type="button" class="applyBtn btn btn-primary" ng-click="cancel();">Return</button>
</div>
</script>
<div class="modal-demo">
		<script type="text/ng-template" id="myHypeMessagehf.html">
			<header style="font-size:20px; height:35px;background-color:black;">
			<div style="padding-top: 5px; color:white;"><b style="padding-left: 15px;">Hotel Information</b>
			<div class="fa fa-close close-pad" ng-click="cancel();"></div>
			</div>
			</header>
			
			<br/>
            <div ng-repeat="cancelPolicy in myHypeMsg" style="padding-left: 17px;">
				 {{removeBR(cancelPolicy.string)}}
				</div>
			<div class="modal-footer">
			<button type="button" class="cancelBtn btn btn-sm btn-default" ng-click="cancel();">Return</button>
		</div>
	</script>
	</div>
		<script type="text/ng-template" id="flightFareinfoContent.html">
<div ng-include="'views/pages/total_fare.html'"></div>
	</script>
	
	<!-- for image slider -->
	<script>
    	 $(document).ready(function() {
			$("#content-slider").lightSlider({
                loop:true,
                keyPress:true
            });
            $('#image-gallery').lightSlider({
                gallery:true,
                item:1,
                thumbItem:9,
                slideMargin: 0,
                speed:500,
                auto:true,
                loop:true,
                onSliderLoad: function() {
                    $('#image-gallery').removeClass('cS-hidden');
                }  
            });
		});
    </script>
	<!-- end -->